#include <stdio.h>
#include<Windows.h>
#pragma warning (disable : 4996)

int fib_1(int);	// 함수 원형 정의

void main()
{
	int i;
	// 자연수를 입력받음
	printf("몇 번째 항을 구할까? 자연수를 입력하라. : ");
	scanf("%d", &i);
	// 입력된 자연수에 대한 피보나치 수열을 구하는 함수를 통해 결과 출력
	printf("피보나치 수열의 %d번째 항은 %d이다.\n", i, fib_1(i));
	system("PAUSE");
}

// 피보나치 수열을 계산하는 함수
int fib_1(int a)
{
	int fib;
	fib = 0;
	// a가 0보다 클 때 계속 진행
	if (a > 0)
	{
		if ((a == 1) || (a == 2))
			fib += 1;
		else
			// 재귀함수 호출
			fib = fib_1(a - 1) + fib_1(a - 2);
	}
	// a가 0이면 fib를 반환
	return fib;
}